import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: 'cover',
    loadChildren: () => import('./cover/cover.module').then( m => m.CoverPageModule)
  },
  {
    path: 'pemeriksaan',
    loadChildren: () => import('./pemeriksaan/pemeriksaan.module').then( m => m.PemeriksaanPageModule)
  },
  {
    path: '',
    redirectTo: 'cover',
    pathMatch: 'full'
  },
  {
    path: 'indikator',
    loadComponent: () => import('./indikator/indikator.page').then((m) => m.IndikatorPage),
  },
  {
    path: 'cover',
    loadChildren: () => import('./cover/cover.module').then( m => m.CoverPageModule)
  },
  {
    path: 'identitas',
    loadChildren: () => import('./identitas/identitas.module').then( m => m.IdentitasPageModule)
  },
  {
    path: 'tips',
    loadChildren: () => import('./tips/tips.module').then( m => m.TipsPageModule)
  },
  {
    path: 'tentang-kami',
    loadChildren: () => import('./tentang-kami/tentang-kami.module').then( m => m.TentangKamiPageModule)
  },
  {
    path: 'tabel',
    loadComponent: () => import('./tabel/tabel.page').then((m) => m.TabelPage),
  },
  {
    path: 'get-identitas',
    loadChildren: () => import('./get-identitas/get-identitas.module').then( m => m.GetIdentitasPageModule)
  },
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule { }
