import { Component, OnInit } from '@angular/core';
import { Storage } from '@ionic/storage-angular';
import { ToastController } from '@ionic/angular';
import { IdentitasServiceService } from '../services/identitas-service.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-get-identitas',
  templateUrl: './get-identitas.page.html',
  styleUrls: ['./get-identitas.page.scss'],
})

export class GetIdentitasPage implements OnInit {
  public userData = {
    id: 0, 
  }
  private idIdentitas: number | null = null;

  constructor(
    private storage: Storage,
    private toastController: ToastController,
    private identitasService: IdentitasServiceService,
    private router: Router
  ) { }

  async ngOnInit() {
    await this.storage.create();
    const id_identitas = await this.storage.get('id_identitas');
  }
  async showToast(message: string, position: 'top' | 'middle' | 'bottom', color: string) {
    const toast = await this.toastController.create({
      message: message,
      duration: 2000,
      position: position,
      color: color
    });
    toast.present();
  }
  async simpanData() {
    this.identitasService.getIdentitasById(this.userData.id).subscribe(
      async (response) => {
        console.log(response.data);
        await this.storage.set('id_identitas', response.id || response.data.id);
        this.idIdentitas = response.id || response.data.id;
        this.handleResponse(response);
        this.router.navigate(['/identitas']);
      },
      error => this.handleError(error)
    );
  }

  handleResponse(response: any) {
    this.showToast('Data Identitas Ditemukan!', 'top', 'success');
  }

  handleError(error: { message: any; }) {
    this.showToast(`Data Identitas Tidak Ditemukan!`, 'top', 'danger');
  }
  // this.router.navigate(['/identitas']);
}