import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Storage } from '@ionic/storage-angular';
import { ToastController } from '@ionic/angular';
import { PengukuranService } from '../services/pengukuran.service';

@Component({
  selector: 'app-pemeriksaan',
  templateUrl: './pemeriksaan.page.html',
  styleUrls: ['./pemeriksaan.page.scss'],
})
export class PemeriksaanPage implements OnInit {
  public payloadData = {
    identitas_id: 0,
    berat_badan: '',
    frekuensi_nafas: '',
    golongan_darah: "",
    imt: 0,
    kadar_asam_urat: '',
    kadar_gula_darah: '',
    kadar_hb: '',
    keluhan_perasaan: '',
    kolesterol_hdl: '',
    kolesterol_ldl: '',
    kolesterol_total: '',
    kondisi_umum: '',
    lingkar_perut: '',
    nadi: '',
    tekanan_darah_diastole: 0,
    tekanan_darah_sistole: 0,
    tinggi_badan: '',
    trigliserida: '',
    waktu_pengambilan_gula_darah: '',
    hba1c: '',
  };
  private idIdentitas: number | null = null;

  constructor(
    private storage: Storage,
    private toastController: ToastController,
    private pengukuranService: PengukuranService
  ) {}

  async ngOnInit() {
    await this.storage.create();
    this.idIdentitas = await this.storage.get('id_identitas');
  }
  async simpanData() {
    if (!this.payloadData.identitas_id && this.idIdentitas) {
      this.payloadData.identitas_id = this.idIdentitas;
    }
    console.log(this.payloadData);
    this.pengukuranService.simpanPengukuran(this.payloadData).subscribe(
      async (response) => {
        this.handleResponse(response);
      },
      error => this.handleError(error)
    );
  }
  handleResponse(response: any) {
    this.showToast('Data successfully saved!', 'top', 'success');
  }

  handleError(error: { message: any; }) {
    this.showToast(`Error saving data: ${error.message}`, 'top', 'danger');
  }
  async showToast(message: string, position: 'top' | 'middle' | 'bottom', color: string) {
    const toast = await this.toastController.create({
      message: message,
      duration: 2000,
      position: position,
      color: color
    });
    toast.present();
  }


}
