import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class IdentitasServiceService {

  private apiUrl = `${environment.apiUrl}/identitas`;

  constructor(private http: HttpClient) { }

  simpanIdentitas(data: any): Observable<any> {
    return this.http.post(this.apiUrl, data);
  }
  getIdentitasById(id: number): Observable<any> {
    return this.http.get(`${this.apiUrl}/${id}`);
  }
  updateIdentitas(id: number, data: any): Observable<any> {
    return this.http.put(`${this.apiUrl}/${id}`, data);
  }
}