import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class PengukuranService {

  private apiUrl = `${environment.apiUrl}/pengukuran`;

  constructor(private http: HttpClient) { }

  simpanPengukuran(data: any): Observable<any> {
    return this.http.post(this.apiUrl, data);
  }
  getPengukuranByIdentitasId(identitasId: number): Observable<any> {
    const url = `${this.apiUrl}?identitas_id=${identitasId}&take=30`;
    return this.http.get(url);
  }
  getGraphByIdentitas(identitasId: number): Observable<any> {
    const url = `${this.apiUrl}/graph?identitas_id=${identitasId}`;
    return this.http.get(url);
  }
}